explain_putc_or_die(3)

NAME
explain_putc_or_die - output of characters and report errors

SYNOPSIS
#include <libexplain/putc.h>

void explain_putc_or_die(int c, FILE *fp);

DESCRIPTION
The explain_putc_or_die function is used to call the putc(3) system call. On failure an explanation will be printed to stderr, obtained from explain_putc(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_putc_or_die(c, fp);

c   The c, exactly as to be passed to the putc(3) system call.

fp  The fp, exactly as to be passed to the putc(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

putc(3)
    output of characters

explain_putc(3)
    explain putc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.1
Copyright (C) 2008 Peter Miller